;;; myemacs.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;; myemacs reloj

;;; Code:
;;----------------------------------------------------------------------------
;; Some cool functions
;;----------------------------------------------------------------------------
;; These functions are made by me (Quitter: @heckyel) or
;; heavily modified by me

;;----------------------------------------------------------------------------
;; Toggles fullscreen
;;----------------------------------------------------------------------------
(defun myemacs/toggle-fullscreen ()
  "Return a message string if the current doc string is invalid."
  (interactive)
  (x-send-client-message nil 0 nil "_NET_WM_STATE" 32
                         '(2 "_NET_WM_STATE_FULLSCREEN" 0)))

;;----------------------------------------------------------------------------
;; Runtime Emacs
;;----------------------------------------------------------------------------
(defun elapsed-time ()
  "Return a message string if the current doc string is invalid.
Emacs runtime: See the following URL for more details.
https://emacs.stackexchange.com/questions/13535/function-to-get-init-el-file-loading-times-multiple-times?rq=1"
  (let ((elapsed (float-time (time-subtract (current-time)
                                            emacs-start-time))))
    (message "[STARTUP] Loading %s ... done (%.3fs)" load-file-name elapsed)))

(provide 'myemacs)

;; Local Variables:
;; byte-compile-warnings: (not free-vars)
;; End:
;;; myemacs.el ends here
